=== debian/changelog ===
shards (0.17.3-2build1) noble; urgency=medium

  * No-change rebuild for libevent t64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Apr 2024 10:14:57 +0200

shards (0.17.3-2) unstable; urgency=medium

  * Source upload.

 -- David Suárez <deiv@debian.org>  Tue, 15 Aug 2023 22:08:29 +0200

shards (0.17.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1043375)

 -- David Suárez <deiv@debian.org>  Mon, 14 Aug 2023 20:29:48 +0200
