=== debian/control ===
Source: shards
Section: devel
Priority: optional
Maintainer: David Suárez <deiv@debian.org>
Rules-Requires-Root: no
Build-Depends: asciidoctor,
               crystal,
               debhelper-compat (= 13),
               fossil,
               git,
               libyaml-dev,
               mercurial
Standards-Version: 4.6.2
Homepage: https://crystal-lang.org/
Vcs-Git: https://salsa.debian.org/deiv/shards.git
Vcs-Browser: https://salsa.debian.org/deiv/shards

Package: shards
Architecture: amd64
Depends: crystal, ${misc:Depends}, ${shlibs:Depends}
Recommends: git
Suggests: fossil, mercurial
Description: dependency manager for the Crystal language
 Shards is the dependency manager for the Crystal programming language.
 .
 It manages dependencies for Crystal projects and libraries with
 reproducible installs across computers and systems.
