## shards 0.19.0

=== debian/changelog ===
shards (0.19.0-1) unstable; urgency=medium

  * New upstream version.

 -- David Suárez <deiv@debian.org>  Fri, 20 Dec 2024 17:54:29 +0100
