=== debian/watch ===
version=4

opts=\
dversionmangle=auto,\
filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/shards-$1\.tar\.gz/ \
  https://github.com/crystal-lang/shards/tags .*/v(\d\S+)\.tar\.gz debian

opts="component=crystal-molinillo,\
dversionmangle=auto,\
filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/crystal-molinillo-$1\.tar\.gz/" \
  https://github.com/crystal-lang/crystal-molinillo/tags .*/v(\d\S+)\.tar\.gz ignore
